package com.perforce.hive.api.artifact;

import java.util.List;

import com.perforce.hive.api.ChangeModel;

import ro.fortsoft.pf4j.ExtensionPoint;
import spark.Request;

public interface ArtifactInterface extends ExtensionPoint {

	public List<String> populateMultiPartPost() throws Exception;
	
	public List<String> populateMonolithicPut(Request request) throws Exception;

	public int updatePending(List<String> upload) throws Exception;

	public void proxyUpload() throws Exception;

	public ChangeModel submitPending(int id, String desc) throws Exception;

	public void index() throws Exception;

	public void disconnect() throws Exception;
}
