package com.perforce.hive.api;

import java.io.IOException;
import java.io.InputStream;

import javax.servlet.http.HttpServletResponse;

import spark.Response;

public class DefaultEngine {

	public static HttpServletResponse rawImage(InputStream image, Response response) throws IOException {
		HttpServletResponse raw = response.raw();
		byte[] buf = new byte[1024 * 64];
		int bytesRead;
		while ((bytesRead = image.read(buf)) != -1) {
			raw.getOutputStream().write(buf, 0, bytesRead);
		}
		raw.getOutputStream().flush();
		raw.getOutputStream().close();
		return raw;
	}
}
